/* TestLocation.java
 *
 * created: Mon Oct  5 1998
 *
 * This file is part of Artemis
 * 
 * Copyright (C) 1998,1999,2000  Genome Research Limited
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Header: /nfs/disk222/yeastpub/Repository/powmap/TestLocation.java,v 1.11 2000/03/03 14:24:55 kmr Exp $
 */

import uk.ac.sanger.pathogens.*;
import uk.ac.sanger.pathogens.embl.*;

/**
 *  TestLocation Class
 *
 *
 *
 *  @author Kim Rutherford
 *  @version $Id: TestLocation.java,v 1.11 2000/03/03 14:24:55 kmr Exp $
 *
 */

public class TestLocation {

  public static void main (final String [] args)
  {
//    final String loc_string =
//      "join(complement(19648..19820),complement(17187..19611),complement(41437..41562),complement(41254..41374))";
    final String loc_string = args[0];

    try {
      final Location loc = new Location (loc_string);

      System.out.println ("in: " + loc_string);

      System.out.println ("out: " + loc + "\n");

      Range range = new Range (101, 200);

      Location new_loc = loc.addRange (range);
      
      System.out.println ("changed: " + new_loc);

      System.out.println ("outer:   " + new_loc.toStringJoinInner ());

      Location rev_loc = new_loc.reverseComplement (1000);

      System.out.println ("rev:     " + rev_loc);

      System.out.println ("rev new: " + new Location (rev_loc.toString()));

      System.out.println ("rev out: " + rev_loc.toStringJoinInner ());

      Location rev_rev_loc = rev_loc.reverseComplement (1000);

      System.out.println ("rev_rev: " + rev_rev_loc);
      System.out.println ("rev rev new: " +
                          new Location (rev_rev_loc.toString()));

      System.out.println ("rev_rev out: " + rev_rev_loc.toStringJoinInner ());

      System.err.println ("removed:     " +
                          rev_rev_loc.removeRange (new Range (101, 200)));
    } catch (LocationParseException exception) {
      System.err.println ("Failed to parse location: " + exception);
    } catch (OutOfRangeException e) {
      System.err.println ("exception: " + e);
    }
  }
}

