/* EntryChooserEvent.java
 *
 * created: Thu Dec 24 1998
 *
 * This file is part of Artemis
 * 
 * Copyright (C) 1998,1999,2000  Genome Research Limited
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Header: /nfs/disk222/yeastpub/Repository/powmap/diana/components/EntryChooserEvent.java,v 1.4 2000/01/24 17:04:18 kmr Exp $
 **/

package diana.components;

import diana.Entry;

/**
 *  This event is sent when the user chooses an Entry in a EntryChooser
 *  component.
 *
 *  @author Kim Rutherford
 *  @version $Id: EntryChooserEvent.java,v 1.4 2000/01/24 17:04:18 kmr Exp $
 **/

public class EntryChooserEvent extends java.util.EventObject {
  /**
   *  Create a new EntryChooserEvent object.
   *  @param source The source of the event.
   *  @param choosen_entry The reference of the Entry object that was choosen
   *    by the user.
   **/
  public EntryChooserEvent (final EntryChooser source,
                            final Entry choosen_entry) {
    super (source);
    this.choosen_entry = choosen_entry;
  }

  /**
   *  Return the reference of the Entry object that was choosen by the user.
   **/
  public Entry getChoosenEntry () {
    return choosen_entry;
  }

  /**
   *  The reference of the Entry object that was choosen by the user.
   **/
  private final Entry choosen_entry;
}


