package nsdb;

/** stream-based skeleton class */

public abstract class NucSeqPOA
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, nsdb.NucSeqOperations
{
	private String[] ids = {"IDL:nsdb/NucSeq:1.0","IDL:seqdb/BioSeq:1.0"};
	public nsdb.NucSeq _this()
	{
		return nsdb.NucSeqHelper.narrow(_this_object());
	}
	public nsdb.NucSeq _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.NucSeqHelper.narrow(_this_object(orb));
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream out = null;
		// do something
		if( method.equals("getNucFeatures"))
		{
			try
			{
				out = handler.createReply();
				nsdb.NucFeatureListHelper.write(out,getNucFeatures());
			}
			catch(type.NoResult _ex0)
			{
				out = handler.createExceptionReply();
				type.NoResultHelper.write(out, _ex0);
			}
		}
		else if( method.equals("getNucFeaturesByKey"))
		{
			try
			{
				java.lang.String _arg0=input.read_string();
				out = handler.createReply();
				nsdb.NucFeatureListHelper.write(out,getNucFeaturesByKey(_arg0));
			}
			catch(type.NoResult _ex0)
			{
				out = handler.createExceptionReply();
				type.NoResultHelper.write(out, _ex0);
			}
			catch(type.InvalidArgumentValue _ex1)
			{
				out = handler.createExceptionReply();
				type.InvalidArgumentValueHelper.write(out, _ex1);
			}
		}
		else if( method.equals("getLength"))
		{
				out = handler.createReply();
				out.write_long(getLength());
		}
		else if( method.equals("getMoleculeType"))
		{
				out = handler.createReply();
				out.write_string(getMoleculeType());
		}
		else if( method.equals("getAnySeq"))
		{
				out = handler.createReply();
				out.write_any(getAnySeq());
		}
		else if( method.equals("getTopology"))
		{
				out = handler.createReply();
				out.write_string(getTopology());
		}
		else if( method.equals("getReferenceLocation"))
		{
			try
			{
				java.lang.String _arg0=input.read_string();
				out = handler.createReply();
				nsdb.LocationHelper.write(out,getReferenceLocation(_arg0));
			}
			catch(type.InvalidRelation _ex0)
			{
				out = handler.createExceptionReply();
				type.InvalidRelationHelper.write(out, _ex0);
			}
			catch(type.NoResult _ex1)
			{
				out = handler.createExceptionReply();
				type.NoResultHelper.write(out, _ex1);
			}
		}
		else if( method.equals("getCheckSum"))
		{
				out = handler.createReply();
				out.write_long(getCheckSum());
		}
		else if( method.equals("getBioSeqVersion"))
		{
				out = handler.createReply();
				out.write_long(getBioSeqVersion());
		}
		else if( method.equals("getBioSeqId"))
		{
				out = handler.createReply();
				out.write_string(getBioSeqId());
		}
		else if( method.equals("getSubSeqByFeature"))
		{
			try
			{
				nsdb.NucFeature _arg0=nsdb.NucFeatureHelper.read(input);
				out = handler.createReply();
				out.write_string(getSubSeqByFeature(_arg0));
			}
			catch(type.InvalidRelation _ex0)
			{
				out = handler.createExceptionReply();
				type.InvalidRelationHelper.write(out, _ex0);
			}
			catch(nsdb.InexactLocation _ex1)
			{
				out = handler.createExceptionReply();
				nsdb.InexactLocationHelper.write(out, _ex1);
			}
		}
		else if( method.equals("getLocalLocation"))
		{
			try
			{
				nsdb.NucFeature _arg0=nsdb.NucFeatureHelper.read(input);
				out = handler.createReply();
				nsdb.LocationHelper.write(out,getLocalLocation(_arg0));
			}
			catch(type.InvalidRelation _ex0)
			{
				out = handler.createExceptionReply();
				type.InvalidRelationHelper.write(out, _ex0);
			}
		}
		else if( method.equals("getSubSeq"))
		{
			try
			{
				int _arg0=input.read_long();
				int _arg1=input.read_long();
				out = handler.createReply();
				out.write_string(getSubSeq(_arg0,_arg1));
			}
			catch(type.IndexOutOfRange _ex0)
			{
				out = handler.createExceptionReply();
				type.IndexOutOfRangeHelper.write(out, _ex0);
			}
		}
		else if( method.equals("getOrganisms"))
		{
			try
			{
				out = handler.createReply();
				type.DbXrefListHelper.write(out,getOrganisms());
			}
			catch(type.NoResult _ex0)
			{
				out = handler.createExceptionReply();
				type.NoResultHelper.write(out, _ex0);
			}
		}
		else if( method.equals("getSeq"))
		{
				out = handler.createReply();
				out.write_string(getSeq());
		}
		else 		if( method.equals("_non_existent"))
		{
			handler.createReply().write_boolean(_non_existent());
		}
		else if( method.equals("_get_interface"))
		{
			handler.createReply().write_Object(_get_interface());
		}
		else if( method.equals("_is_a"))
		{
			handler.createReply().write_boolean(_is_a(input.read_string()));
		}
		else
		{
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		}
		return out;
	}
	public boolean _is_a(String rep_id)
	{
		for(int i = 0; i < ids.length; i++ )
			if(rep_id.equals(ids[i])) return true;
		return false;
	}
	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
